//------------
// MIT License

// Copyright (c) [2017] [ohrhahn]

// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:

// The above copyright notice and this permission notice shall be included in all
// copies or substantial portions of the Software.

// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
// SOFTWARE.
//------------
//
// ChangeLog
// 29.07.2017-ohrhahn-V2.0-The Size of the box reduced by half


$fn= 90;
difference () {
    minkowski() {
        cube([50,50,25]);
        cylinder(r=2.5,h=1);
    } 
    translate ([0,0,1.5]) {
        cube ([50,50,25]);
    }
    translate ([-.5,-.5,22.8]) {
        cube([53,51,2.4]);    
    }
    translate ([50,0,25]) {
        cube([3,50,3]);    
    }
    translate ([40,1,12.5]) {
        rotate ([90,0,0]) {
            cylinder (4,5.8,5.8);
        }
    }
    translate ([40,25,-0.5]) {
        cylinder (4,5.8,5.8);
    }
    translate ([49,25,12.5]) {
        rotate ([0,90,0]) {
            cylinder (4,5.8,5.8);
        }
    }
    translate ([-3,23,8]) {
        rotate ([0,90,0]) {
            minkowski() {
                cube([2.2,5.5,2.5]);
                cylinder(r=2,h=1);
            }
        }
    }
    for (i= [2:8:30]) {
        translate ([i,-3,11.5]) {
            cube([4,4,1.5]);    
        }
    }
    for (i= [3:8:45]) {
        translate ([i,49,11.5]) {
            cube([4,4,1.5]);    
        }
    }
    translate([3,-1.5,2]) {
        rotate ([90,0,0]) {
            linear_extrude(height = 1, center = false, convexity = 5, twist = 0) text ("SmartNode V2.0", size=3.5, spacing=1.2);
        }
    }
}